List Cloudflare credentials
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloudflare/credentials \
--header 'Authorization: Bearer <token>'{
"items": [
{
"name": "<string>",
"is_expired": true,
"state": "<string>",
"created_at": "<string>",
"account_id": "<string>",
"account_name": "<string>",
"token_id": "<string>",
"token_kind": "user",
"verified_at": "<string>",
"token_expires_at": "<string>",
"needs_reconnect": true,
"detail": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cloudflare
List Cloudflare credentials
Lists the Cloudflare credentials connected to the organisation, with the account each one reaches, when it was verified, token expiry and state. The API token itself is never returned.
GET
/
api
/
v1
/
org
/
cloudflare
/
credentials
List Cloudflare credentials
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloudflare/credentials \
--header 'Authorization: Bearer <token>'{
"items": [
{
"name": "<string>",
"is_expired": true,
"state": "<string>",
"created_at": "<string>",
"account_id": "<string>",
"account_name": "<string>",
"token_id": "<string>",
"token_kind": "user",
"verified_at": "<string>",
"token_expires_at": "<string>",
"needs_reconnect": true,
"detail": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes